| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCommandEventData Struct Reference
[Event handling]

Structure that collects the data a command event carries. More...

`#include <iutil/event.h>`

List of all members.

## Public Attributes
uint | Code
| Command code.
intptr_t | Info
| Command info.

## Detailed Description

Structure that collects the data a command event carries.

The event it self doesn't transfer the data in this structure; it is merely meant to pass around command event data in a compact way within client code without having to pass around the event itself.

See also:
  csCommandEventHelper

Definition at line 201 of file event.h.

## Member Data Documentation

uint csCommandEventData::Code

Command code.

See also:
  csCommandEventCode for common codes.

Definition at line 204 of file event.h.

intptr_t csCommandEventData::Info

Command info.

Meaning depends on the particular command.

Definition at line 206 of file event.h.

The documentation for this struct was generated from the following file:

- iutil/event.h